Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::NodeTrackerCallback Class Reference

Inheritance diagram for osg::NodeTrackerCallback:

[legend]
List of all members.

## Public Member Functions
void | setTrackNodePath (const osg::RefNodePath &nodePath)
void | setTrackNodePath (const osg::NodePath &nodePath)
osg::RefNodePath & | getTrackNodePath ()
const osg::RefNodePath & | getTrackNodePath () const
void | setTrackNode (osg::Node *node)
osg::Node * | getTrackNode ()
const osg::Node * | getTrackNode () const
virtual void | operator() (Node *node, NodeVisitor *nv)
| Implements the callback.
void | update (osg::Node &node)
| Update the node to track the nodepath.
bool | validateNodePath () const
| Validate the NodePath by removing any unref'd nodes.
## Protected Attributes
osg::RefNodePath | _trackNodePath

## Member Function Documentation

const osg::Node* osg::NodeTrackerCallback::getTrackNode | ( |  | ) | const`[inline]`

osg::Node* osg::NodeTrackerCallback::getTrackNode | ( |  | ) | `[inline]`

const osg::RefNodePath& osg::NodeTrackerCallback::getTrackNodePath | ( |  | ) | const`[inline]`

osg::RefNodePath& osg::NodeTrackerCallback::getTrackNodePath | ( |  | ) | `[inline]`

virtual void osg::NodeTrackerCallback::operator() | ( | Node * | node,
|  | NodeVisitor * | nv
| ) | `[virtual]`

| Implements the callback. Reimplemented from osg::NodeCallback.

void osg::NodeTrackerCallback::setTrackNode | ( | osg::Node * | node | ) |

void osg::NodeTrackerCallback::setTrackNodePath | ( | const osg::NodePath & | nodePath | ) | `[inline]`

void osg::NodeTrackerCallback::setTrackNodePath | ( | const osg::RefNodePath & | nodePath | ) | `[inline]`

void osg::NodeTrackerCallback::update | ( | osg::Node & | node | ) |

| Update the node to track the nodepath.

bool osg::NodeTrackerCallback::validateNodePath | ( |  | ) | const

| Validate the NodePath by removing any unref'd nodes.

## Member Data Documentation

osg::RefNodePath osg::NodeTrackerCallback::_trackNodePath`[protected]`

The documentation for this class was generated from the following file:

- NodeTrackerCallback